PKG-REPO(1)

NAME
pkg repo - creates a package database repository

SYNOPSIS
pkg repo <repo-path> <rsa-key>

DESCRIPTION
pkg repo is used for creating package repositories of already available packages. pkg repo is usefull for creating a package repository database, and then sharing it with other people.

When pkg repo is invoked it will create a package database file (repo.sqlite) which then can be used for remote package installations from pkg-install(1).

When you want to create a package database repository you need to specify at least the directory which contains packages in <repo-path>

OPTIONS
The following options are supported by pkg repo:

ENVIRONMENT
The following environment variables affect the execution of pkg repo. See pkg.conf(5) for further description.

PUBKEY

FILES
See pkg.conf(5).

SEE ALSO
pkg(1), pkg-add(1), pkg-autoremove(1), pkg-search(1), pkg-backup(1), pkg-install(1), pkg-delete(1), pkg-info(1), pkg-register(1), pkg-create(1), pkg-update(1), pkg-upgrade(1), pkg-version(1), pkg-which(1), pkg.conf(5)